version: "3.7"
services:
  hello:
    build:
      context: ./test.dockerapp/http-echo-confd/
      dockerfile: Dockerfile
      args:
        httpEchoServerVersion: ${image-version}
        alpineVersion: ${alpine-version}
    environment:
      HTTPTEXT: ${response-text}
      # etcdWait parameter
      PLATFORM: ${etcdWait-platform}
      MAX_RETRY: ${etcdWait-max-retry}
      SLEEP_TIME: ${etcdWait-sleep-time}
    ports:
      - ${echo-port}:5678
  
  etcd:
    image: bitnami/etcd
    environment:
      - ALLOW_NONE_AUTHENTICATION=yes
      # - ETCD_ADVERTISE_CLIENT_URLS=http://0.0.0.0:2379
    restart: always
    ports:
      - "2379:2379/tcp"

  tomcat:
    build:
      context: ./test.dockerapp/tomcat/
      dockerfile: Dockerfile
      args:
        tomcatVersion: ${tomcat-version}
    container_name: tomcat
    volumes:
      - type: bind
        source: /Users/antoine/Documents/docker/test.dockerapp/tomcat/webapps
        target: /usr/local/tomcat/webapps
      - type: bind
        source: /Users/antoine/Documents/docker/test.dockerapp/tomcat/certificates
        target: /certificates
    ports:
      - ${tomcat-port}:8080

    
volumes:
  data-volume:
    driver: local
